Bug 486779 - [RFE] configurable sesame publish rate (sesame publishing too often)
[RFE] configurable sesame publish rate (sesame publishing too often)
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-qmf (Show other bugs)
1.1
All Linux
medium Severity medium
: 1.3
: ---
Assigned To: Ted Ross
Jan Sarenik
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-21 22:24 EST by Matthew Farrellee
Modified: 2011-08-12 12:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Previously, sesame was publishing data at a very high rate (of 0.2Hz). With this update, the rate is adjusted to a proper level.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-14 12:15:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Farrellee 2009-02-21 22:24:27 EST
# rpm -q sesame
sesame-0.4.3108-1.el5

cumin=# select sysimage_id,qmf_update_time from sysimage_stats order by sysimage_id,qmf_update_time limit 15;
 sysimage_id |   qmf_update_time   
-------------+---------------------
           1 | 2009-02-19 14:26:42
           1 | 2009-02-19 14:26:47
           1 | 2009-02-19 14:26:52
           1 | 2009-02-19 14:26:57
           1 | 2009-02-19 14:27:02
           1 | 2009-02-19 14:27:07
           1 | 2009-02-19 14:27:12
           1 | 2009-02-19 14:27:17
           1 | 2009-02-19 14:27:22
           1 | 2009-02-19 14:27:27
           1 | 2009-02-19 14:27:32
           1 | 2009-02-19 14:27:37
           1 | 2009-02-19 14:27:42
           1 | 2009-02-19 14:27:47
           1 | 2009-02-19 14:27:52
(15 rows)

I think sesame is publishing data too often. It's apparently at a rate of .2Hz, which won't scale well. We need a way to adjust/configure the rate.
Comment 1 Ted Ross 2009-08-24 15:10:06 EDT
Solution committed upstream at revision 3586.
Comment 3 Jan Sarenik 2010-02-19 05:31:02 EST
Simple script I use to test this:

    # yum install sesame
    echo -n "`cat /etc/redhat-release` "
    uname -m
    rpm -q sesame
    sesame --help 2>&1 | grep interval

And it's output:
---------------------------------------------------------------
Red Hat Enterprise Linux Server release 5.4 (Tikanga) i686
sesame-0.7.3826-3.el5
  --pub-interval N (10)  Publish interval in seconds
---------------------------------------------------------------
Red Hat Enterprise Linux Server release 5.4 (Tikanga) x86_64
sesame-0.7.3826-3.el5
  --pub-interval N (10)  Publish interval in seconds
---------------------------------------------------------------
Red Hat Enterprise Linux AS release 4 (Nahant Update 8) i686
sesame-0.4.3153-2.el4
---------------------------------------------------------------
Red Hat Enterprise Linux AS release 4 (Nahant Update 8) x86_64
sesame-0.4.3153-2.el4
---------------------------------------------------------------

So I will wait for RHEL4 packages and re-test then.
Comment 4 Jan Sarenik 2010-03-23 06:50:02 EDT
root@rhel4:~# sh sesame-test 
Red Hat Enterprise Linux AS release 4 (Nahant Update 8) i686
sesame-0.7.3826-5.el4
  --pub-interval N (10)  Publish interval in seconds

[root@rhel4x ~]# sh sesame-test 
Red Hat Enterprise Linux AS release 4 (Nahant Update 8) x86_64
sesame-0.7.3826-5.el4
  --pub-interval N (10)  Publish interval in seconds
Comment 5 Martin Prpič 2010-10-07 09:23:27 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, sesame was publishing data at a very high rate (of 0.2Hz). With this update, the rate is adjusted to a proper level.
Comment 7 errata-xmlrpc 2010-10-14 12:15:15 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0773.html

Note You need to log in before you can comment on or make changes to this bug.